# TransactionalStateOperation (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class TransactionalStateOperation<T>

- java.lang.Object
- - io.dapr.client.domain.TransactionalStateOperation<T>

Type Parameters:
  `T` - Type of the state value

    public class TransactionalStateOperation<T>
    extends Object

Class to represent transactional state operations.

### Nested Class Summary

Nested Classes
`static class` `TransactionalStateOperation.OperationType` Options for type of operation.

### Constructor Summary

Constructors
`TransactionalStateOperation​(TransactionalStateOperation.OperationType operationType, State<T> state)` Construct an immutable transactional state operation object.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`TransactionalStateOperation.OperationType` `getOperation()`
`State<T>` `getRequest()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransactionalStateOperation

    public TransactionalStateOperation​(TransactionalStateOperation.OperationType operationType,
                                       State<T> state)

Construct an immutable transactional state operation object.

Parameters:
  `operationType` - The type of operation done.
  `state` - The required state.

### Method Detail

#### getOperation

    public TransactionalStateOperation.OperationType getOperation()

#### getRequest

    public State<T> getRequest()

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`